KIO::SimpleJob class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::SimpleJob Class Reference

A simple job (one url and one command). More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::SimpleJob:

[legend]
Collaboration diagram for KIO::SimpleJob:

[legend]
List of all members.

## Public Slots
void | slotTotalSize (KIO::filesize_t data_size)
| Forward signal from the slave Can also be called by the parent job, when it knows the size.
virtual void | slotError (int, const QString &)
## Public Member Functions
| SimpleJob (const KURL &url, int command, const QByteArray &packedArgs, bool showProgressInfo)
const KURL & | url () const
virtual void | kill (bool quietly=true)
| Abort job.
virtual void | putOnHold ()
| Abort job.
virtual void | start (Slave *slave)
void | slaveDone ()
Slave * | slave () const
int | command () const
## Static Public Member Functions
void | removeOnHold ()
| Discard suspended slave.
## Protected Slots
virtual void | slotFinished ()
| Called when the slave marks the job as finished.
void | slotWarning (const QString &)
void | slotInfoMessage (const QString &)
| Called on a slave's info message.
void | slotConnected ()
| Called on a slave's connected signal.
void | slotProcessedSize (KIO::filesize_t data_size)
| Forward signal from the slave.
void | slotSpeed (unsigned long bytes_per_second)
| Forward signal from the slave.
virtual void | slotMetaData (const KIO::MetaData &_metaData)
| MetaData from the slave is received.
void | slotNeedProgressId ()
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
Slave * | m_slave
QByteArray | m_packedArgs
KURL | m_url
KURL | m_subUrl
int | m_command
KIO::filesize_t | m_totalSize

## Detailed Description

A simple job (one url and one command).

This is the base class for all jobs that are scheduled. Other jobs are high-level jobs (CopyJob, DeleteJob, FileCopyJob...) that manage subjobs but aren't scheduled directly.

Definition at line 364 of file jobclasses.h.

## Member Function Documentation

void SimpleJob::kill | ( | bool | quietly = true | ) | `[virtual]`

  | Abort job. This kills all subjobs and deletes the job. Parameters:
  quietly | if true, Job will emit signal result Should only be set to false when the user kills the job (from kio_uiserver), not when you want to abort a job.
Reimplemented from KIO::Job. Definition at line 380 of file job.cpp. Referenced by putOnHold().

void SimpleJob::putOnHold | ( |  | ) | `[virtual]`

| Abort job. Suspends slave to be reused by another job for the same request. Definition at line 387 of file job.cpp. References kill(). Referenced by KRun::foundMimeType().

void SimpleJob::removeOnHold | ( |  | ) | `[static]`

| Discard suspended slave. Definition at line 394 of file job.cpp.

void SimpleJob::slotTotalSize | ( | KIO::filesize_t | data_size | ) | `[slot]`

| Forward signal from the slave Can also be called by the parent job, when it knows the size. Definition at line 542 of file job.cpp. References KIO::Job::totalSize(). Referenced by slotProcessedSize().

void SimpleJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented in KIO::DavJob, and KIO::TransferJob. Definition at line 476 of file job.cpp. References KURL::directory(), KIO::Job::emitResult(), QPtrList< Job >::isEmpty(), and KURL::setPath().

void SimpleJob::slotInfoMessage | ( | const QString & |  | ) | `[protected, slot]`

| Called on a slave's info message. Definition at line 525 of file job.cpp. References KIO::Job::infoMessage().

void SimpleJob::slotConnected | ( |  | ) | `[protected, slot]`

| Called on a slave's connected signal. Definition at line 530 of file job.cpp. References KIO::Job::connected().

void SimpleJob::slotProcessedSize | ( | KIO::filesize_t | data_size | ) | `[protected, slot]`

| Forward signal from the slave. Definition at line 548 of file job.cpp. References KIO::Job::emitPercent(), KIO::Job::processedSize(), and slotTotalSize().

void SimpleJob::slotSpeed | ( | unsigned long | bytes_per_second | ) | `[protected, slot]`

| Forward signal from the slave. Definition at line 558 of file job.cpp. References KIO::Job::emitSpeed().

void SimpleJob::slotMetaData | ( | const KIO::MetaData & | _metaData | ) | `[protected, virtual, slot]`

| MetaData from the slave is received. Definition at line 564 of file job.cpp.

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:25:49 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001